# -*- coding: utf-8 -*-
# Generated by Django 1.11.14 on 2018-07-28 18:11


import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields


class Migration(migrations.Migration):

    dependencies = [
        ("carceropolis", "0009_auto_20180715_1209"),
    ]

    operations = [
        migrations.CreateModel(
            name="DadosEncarceramento",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("ano", models.CharField(max_length=4)),
                ("mes", models.CharField(max_length=2)),
                ("dados", django.contrib.postgres.fields.jsonb.JSONField()),
                ("card", django.contrib.postgres.fields.jsonb.JSONField()),
            ],
        ),
        migrations.RemoveField(model_name="unidadeprisional", name="id_2014_06",),
        migrations.RemoveField(model_name="unidadeprisional", name="id_2014_12",),
        migrations.RemoveField(model_name="unidadeprisional", name="id_2015_12",),
        migrations.RemoveField(model_name="unidadeprisional", name="id_2016_06",),
        migrations.AlterField(
            model_name="areadeatuacao",
            name="slug",
            field=django_extensions.db.fields.AutoSlugField(
                blank=True, editable=False, populate_from="nome"
            ),
        ),
        migrations.AlterField(
            model_name="unidadeprisional",
            name="bairro",
            field=models.CharField(max_length=600),
        ),
        migrations.AlterField(
            model_name="unidadeprisional",
            name="cep",
            field=models.CharField(max_length=9),
        ),
        migrations.AlterField(
            model_name="unidadeprisional",
            name="complemento",
            field=models.CharField(blank=True, max_length=600),
        ),
        migrations.AlterField(
            model_name="unidadeprisional",
            name="nome_logradouro",
            field=models.CharField(max_length=600),
        ),
        migrations.AlterField(
            model_name="unidadeprisional",
            name="nome_unidade",
            field=models.CharField(max_length=600, verbose_name="Nome da Unidade"),
        ),
        migrations.AlterField(
            model_name="unidadeprisional",
            name="responsavel",
            field=models.CharField(
                blank=True, max_length=600, verbose_name="Responsável"
            ),
        ),
        migrations.AlterField(
            model_name="unidadeprisional",
            name="sigla_unidade",
            field=models.CharField(max_length=600),
        ),
        migrations.AlterField(
            model_name="unidadeprisional",
            name="tipo_logradouro",
            field=models.CharField(max_length=600),
        ),
        migrations.AddField(
            model_name="dadosencarceramento",
            name="unidade",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="carceropolis.UnidadePrisional",
                verbose_name="Unidade Prisional",
            ),
        ),
    ]
